<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$kp_ubigeos_delete = new kp_ubigeos_delete();

// Run the page
$kp_ubigeos_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kp_ubigeos_delete->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fkp_ubigeosdelete, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "delete";
	fkp_ubigeosdelete = currentForm = new ew.Form("fkp_ubigeosdelete", "delete");
	loadjs.done("fkp_ubigeosdelete");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $kp_ubigeos_delete->showPageHeader(); ?>
<?php
$kp_ubigeos_delete->showMessage();
?>
<form name="fkp_ubigeosdelete" id="fkp_ubigeosdelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kp_ubigeos">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($kp_ubigeos_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode(Config("COMPOSITE_KEY_SEPARATOR"), $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php echo ResponsiveTableClass() ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($kp_ubigeos_delete->codubigeo->Visible) { // codubigeo ?>
		<th class="<?php echo $kp_ubigeos_delete->codubigeo->headerCellClass() ?>"><span id="elh_kp_ubigeos_codubigeo" class="kp_ubigeos_codubigeo"><?php echo $kp_ubigeos_delete->codubigeo->caption() ?></span></th>
<?php } ?>
<?php if ($kp_ubigeos_delete->codruta->Visible) { // codruta ?>
		<th class="<?php echo $kp_ubigeos_delete->codruta->headerCellClass() ?>"><span id="elh_kp_ubigeos_codruta" class="kp_ubigeos_codruta"><?php echo $kp_ubigeos_delete->codruta->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$kp_ubigeos_delete->RecordCount = 0;
$i = 0;
while (!$kp_ubigeos_delete->Recordset->EOF) {
	$kp_ubigeos_delete->RecordCount++;
	$kp_ubigeos_delete->RowCount++;

	// Set row properties
	$kp_ubigeos->resetAttributes();
	$kp_ubigeos->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$kp_ubigeos_delete->loadRowValues($kp_ubigeos_delete->Recordset);

	// Render row
	$kp_ubigeos_delete->renderRow();
?>
	<tr <?php echo $kp_ubigeos->rowAttributes() ?>>
<?php if ($kp_ubigeos_delete->codubigeo->Visible) { // codubigeo ?>
		<td <?php echo $kp_ubigeos_delete->codubigeo->cellAttributes() ?>>
<span id="el<?php echo $kp_ubigeos_delete->RowCount ?>_kp_ubigeos_codubigeo" class="kp_ubigeos_codubigeo">
<span<?php echo $kp_ubigeos_delete->codubigeo->viewAttributes() ?>><?php echo $kp_ubigeos_delete->codubigeo->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kp_ubigeos_delete->codruta->Visible) { // codruta ?>
		<td <?php echo $kp_ubigeos_delete->codruta->cellAttributes() ?>>
<span id="el<?php echo $kp_ubigeos_delete->RowCount ?>_kp_ubigeos_codruta" class="kp_ubigeos_codruta">
<span<?php echo $kp_ubigeos_delete->codruta->viewAttributes() ?>><?php echo $kp_ubigeos_delete->codruta->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$kp_ubigeos_delete->Recordset->moveNext();
}
$kp_ubigeos_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $kp_ubigeos_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$kp_ubigeos_delete->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$kp_ubigeos_delete->terminate();
?>